package com.dji.sdk.cloudapi.psdk;

import com.fasterxml.jackson.annotation.JsonValue;

/**
 * PSDK method enumeration
 * 
 * @author sean
 * @version 1.7
 * @date 2023/10/16
 */
public enum PsdkMethodEnum {

    // Widget control
    WIDGET_VALUE_SET("psdk_widget_value_set"),
    
    INPUT_BOX_TEXT_SET("psdk_input_box_text_set"),
    
    // Speaker control
    SPEAKER_AUDIO_PLAY_START("speaker_audio_play_start"),
    
    SPEAKER_TTS_PLAY_START("speaker_tts_play_start"),
    
    SPEAKER_REPLAY("speaker_replay"),
    
    SPEAKER_PLAY_STOP("speaker_play_stop"),
    
    SPEAKER_PLAY_MODE_SET("speaker_play_mode_set"),
    
    SPEAKER_PLAY_VOLUME_SET("speaker_play_volume_set");

    private final String method;

    PsdkMethodEnum(String method) {
        this.method = method;
    }

    @JsonValue
    public String getMethod() {
        return method;
    }
}
